<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/



namespace admin_application\link;

class MemberLink {

	public static function Member_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'MemberMain/listMember';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'MemberMain/listMember';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'MemberMain/addMember';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'MemberMain/editMember';
		$action_key_edit['userid'] = $array['userid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key_edit['act'] = 'MemberMain/viewMember';
		$link_array['view'] = linkOut($action_key_edit);

		$action_key['act'] = 'MemberMain/saveMember';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'MemberMain/delMember';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'MemberMain/setMember';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'MemberMain/verifyMember';
		$link_array['verify'] = linkOut($action_key);

		$action_key['act'] = 'MemberMain/argumentMember';
		$link_array['argument'] = linkOut($action_key);

		$action_key['act'] = 'MemberMain/argumentSaveMember';
		$link_array['argumentsave'] = linkOut($action_key);

		$action_key['act'] = 'MemberMain/selectMember';
		$link_array['select'] = linkOut($action_key);

		$action_key['act'] = 'MemberMain/jsonMemberView';
		$link_array['json'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function MemberType_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'MemberType/listMemberType';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'MemberType/listMemberType';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'MemberType/addMemberType';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'MemberType/editMemberType';
		$action_key_edit['mcid'] = $array['mcid'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key['act'] = 'MemberType/saveMemberType';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'MemberType/celeritySaveMemberType';
		$link_array['celeritysave'] = linkOut($action_key);

		$action_key['act'] = 'MemberType/delMemberType';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'MemberType/setMemberType';
		$link_array['set'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function MemberField_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'MemberField/listMemberField';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'MemberField/listMemberField';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'MemberField/addMemberField';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'MemberField/editMemberField';
		$action_key_edit['maid'] = $array['maid'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key['act'] = 'MemberField/saveMemberField';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'MemberField/delMemberField';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'MemberField/setMemberField';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'MemberField/sortMemberField';
		$link_array['sort'] = linkOut($action_key);

		$action_key['act'] = 'MemberField/verifyMemberField';
		$link_array['verify'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function MemberIntegral_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'MemberIntegral/listMemberIntegral';
		$action_key['userid'] = $array['userid'];
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'MemberIntegral/listMemberIntegral';
		$action_key_list['userid'] = $array['userid'];
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'MemberIntegral/addMemberIntegral';
		$action_key['userid'] = $array['userid'];
		$link_array['add'] = linkOut($action_key);

		$action_key['act'] = 'MemberIntegral/saveMemberIntegral';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'MemberIntegral/delMemberIntegral';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'MemberIntegral/setMemberIntegral';
		$link_array['set'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
